package LATMOS::Accounts::Web::Controller::Json::List;
use Moose;
use namespace::autoclean;

BEGIN { extends 'Catalyst::Controller'; }

=head1 NAME

LATMOS::Accounts::Web::Controller::Json::List - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index

=cut

sub index :Path :Args(0) {
    my ( $self, $c ) = @_;

    my $base = $c->model('Accounts')->db;
    my $otype = $c->req->param('otype') or return;

    my @objects = $base->list_objects($otype);
    if (my $term = $c->req->param('term')) {
        @objects = grep { /\Q$term\E/ } @objects;
    }

    $c->stash->{data} = \@objects;
    #[ map { { label => $_ } } @objects ];

}



=encoding utf8

=head1 AUTHOR

olivier

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

__PACKAGE__->meta->make_immutable;

1;
